libqt5gui5_5.9.5+dfsg-0ubuntu1_amd64.deb


Advertisement

Description

libqt5gui5 - Qt 5 GUI module

Property Value
Distribution Ubuntu 18.04 LTS (Bionic Beaver)
Repository Ubuntu Main amd64
Package filename libqt5gui5_5.9.5+dfsg-0ubuntu1_amd64.deb
Package name libqt5gui5
Package version 5.9.5+dfsg
Package release 0ubuntu1
Package architecture amd64
Package type deb
Category libs
Homepage http://qt-project.org/
License -
Maintainer Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Download size 2.45 MB
Installed size 9.93 MB
Qt is a cross-platform C++ application framework. Qt's primary feature
is its rich set of widgets that provide standard GUI functionality.
The QtGui module extends QtCore with GUI functionality.

Alternatives

Package Version Architecture Repository
libqt5gui5_5.9.5+dfsg-0ubuntu2.3_amd64.deb 5.9.5+dfsg amd64 Ubuntu Updates Main
libqt5gui5_5.9.5+dfsg-0ubuntu2.3_i386.deb 5.9.5+dfsg i386 Ubuntu Updates Main
libqt5gui5_5.9.5+dfsg-0ubuntu1_i386.deb 5.9.5+dfsg i386 Ubuntu Main
libqt5gui5 - - -

Requires

Name Value
fontconfig -
libc6 >= 2.14
libdrm2 >= 2.4.30
libegl1 -
libfontconfig1 >= 2.12
libfreetype6 >= 2.6
libgbm1 >= 8.1~0
libgcc1 >= 1:3.4
libgl1 -
libglib2.0-0 >= 2.12.0
libharfbuzz0b >= 1.2.6
libice6 >= 1:1.0.0
libinput10 >= 0.15.0
libjpeg8 >= 8c
libmtdev1 >= 1.0.8
libpng16-16 >= 1.6.2-1
libqt5core5a >= 5.9.0~beta
libqt5dbus5 >= 5.0.2
libqt5network5 >= 5.0.2
libsm6 -
libstdc++6 >= 5
libudev1 >= 183
libx11-6 -
libx11-xcb1 -
libxcb-glx0 -
libxcb-icccm4 >= 0.4.1
libxcb-image0 >= 0.2.1
libxcb-keysyms1 >= 0.4.0
libxcb-randr0 >= 1.3
libxcb-render-util0 -
libxcb-render0 -
libxcb-shape0 -
libxcb-shm0 -
libxcb-sync1 -
libxcb-xfixes0 -
libxcb-xinerama0 -
libxcb-xkb1 -
libxcb1 >= 1.8
libxi6 >= 2:1.5.99.2
libxkbcommon-x11-0 >= 0.5.0
libxkbcommon0 >= 0.5.0
qtbase-abi-5-9-5 -
zlib1g >= 1:1.1.4

Replaces

Name Value
libqt5egldeviceintegration5 << 5.6.0~beta+dfsg-5~
libqt5xcbqpa5 << 5.6.0~beta+dfsg-5~

Download

Type URL
Mirror archive.ubuntu.com
Binary Package libqt5gui5_5.9.5+dfsg-0ubuntu1_amd64.deb
Source Package qtbase-opensource-src

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libqt5gui5 deb package:
    # sudo apt-get install libqt5gui5

Files

Path
/usr/lib/x86_64-linux-gnu/libQt5EglFSDeviceIntegration.so.5
/usr/lib/x86_64-linux-gnu/libQt5EglFSDeviceIntegration.so.5.9
/usr/lib/x86_64-linux-gnu/libQt5EglFSDeviceIntegration.so.5.9.5
/usr/lib/x86_64-linux-gnu/libQt5EglFsKmsSupport.so.5
/usr/lib/x86_64-linux-gnu/libQt5EglFsKmsSupport.so.5.9
/usr/lib/x86_64-linux-gnu/libQt5EglFsKmsSupport.so.5.9.5
/usr/lib/x86_64-linux-gnu/libQt5Gui.so.5
/usr/lib/x86_64-linux-gnu/libQt5Gui.so.5.9
/usr/lib/x86_64-linux-gnu/libQt5Gui.so.5.9.5
/usr/lib/x86_64-linux-gnu/libQt5XcbQpa.so.5
/usr/lib/x86_64-linux-gnu/libQt5XcbQpa.so.5.9
/usr/lib/x86_64-linux-gnu/libQt5XcbQpa.so.5.9.5
/usr/lib/x86_64-linux-gnu/qt5/plugins/egldeviceintegrations/libqeglfs-emu-integration.so
/usr/lib/x86_64-linux-gnu/qt5/plugins/egldeviceintegrations/libqeglfs-kms-egldevice-integration.so
/usr/lib/x86_64-linux-gnu/qt5/plugins/egldeviceintegrations/libqeglfs-kms-integration.so
/usr/lib/x86_64-linux-gnu/qt5/plugins/egldeviceintegrations/libqeglfs-x11-integration.so
/usr/lib/x86_64-linux-gnu/qt5/plugins/generic/libqevdevkeyboardplugin.so
/usr/lib/x86_64-linux-gnu/qt5/plugins/generic/libqevdevmouseplugin.so
/usr/lib/x86_64-linux-gnu/qt5/plugins/generic/libqevdevtabletplugin.so
/usr/lib/x86_64-linux-gnu/qt5/plugins/generic/libqevdevtouchplugin.so
/usr/lib/x86_64-linux-gnu/qt5/plugins/generic/libqlibinputplugin.so
/usr/lib/x86_64-linux-gnu/qt5/plugins/generic/libqtuiotouchplugin.so
/usr/lib/x86_64-linux-gnu/qt5/plugins/imageformats/libqgif.so
/usr/lib/x86_64-linux-gnu/qt5/plugins/imageformats/libqico.so
/usr/lib/x86_64-linux-gnu/qt5/plugins/imageformats/libqjpeg.so
/usr/lib/x86_64-linux-gnu/qt5/plugins/platforminputcontexts/libcomposeplatforminputcontextplugin.so
/usr/lib/x86_64-linux-gnu/qt5/plugins/platforminputcontexts/libibusplatforminputcontextplugin.so
/usr/lib/x86_64-linux-gnu/qt5/plugins/platforms/libqeglfs.so
/usr/lib/x86_64-linux-gnu/qt5/plugins/platforms/libqlinuxfb.so
/usr/lib/x86_64-linux-gnu/qt5/plugins/platforms/libqminimal.so
/usr/lib/x86_64-linux-gnu/qt5/plugins/platforms/libqminimalegl.so
/usr/lib/x86_64-linux-gnu/qt5/plugins/platforms/libqoffscreen.so
/usr/lib/x86_64-linux-gnu/qt5/plugins/platforms/libqvnc.so
/usr/lib/x86_64-linux-gnu/qt5/plugins/platforms/libqxcb.so
/usr/lib/x86_64-linux-gnu/qt5/plugins/xcbglintegrations/libqxcb-egl-integration.so
/usr/lib/x86_64-linux-gnu/qt5/plugins/xcbglintegrations/libqxcb-glx-integration.so
/usr/share/doc/libqt5gui5/changelog.Debian.gz
/usr/share/doc/libqt5gui5/copyright
/usr/share/lintian/overrides/libqt5gui5

Changelog

2018-04-12 - Simon Quigley <tsimonq2@ubuntu.com>
qtbase-opensource-src (5.9.5+dfsg-0ubuntu1) bionic; urgency=medium
[ Simon Quigley ]
* New upstream release.
- Refresh patches.
- Update symbols from build logs.
* Bump independent build dependencies.
* Bump the virtual ABI package from qtbase-abi-5-9-4 to qtbase-abi-5-9-5.
* Fix loading OpenGL library when libGL.so is missing (LP: #1761708).
- fix-loading-OpenGL-when-symlink-missing.patch
- QTBUG-67537
[ Dmitry Shachnev ]
* Update list of Qt WebKit build-dependencies in debian/README.source.
2018-03-15 - Simon Quigley <tsimonq2@ubuntu.com>
qtbase-opensource-src (5.9.4+dfsg-0ubuntu4) bionic; urgency=medium
* Merge from Debian Sid. Remaining changes:
- New upstream release (5.9.4), drop upstream patches and update symbols
from build logs.
- Depend on libssl-dev instead of libssl1.0-dev. Also backport an upstream
patch enabling OpenSSL 1.1 support.
- Add arm64 to the architectures that GLES is enabled on.
- Backport some libinput and mesa 18 patches from upstream.
* Update symbols from build logs.
2018-02-16 - Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>
qtbase-opensource-src (5.9.2+dfsg-12) unstable; urgency=medium
* Add patch to extend MariaDB define checks. It seems that this codes makes
akonadi not fail on long time running sessions. Thanks Luigi Toscano for
the pointer.
2018-02-16 - Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>
qtbase-opensource-src (5.9.2+dfsg-11) unstable; urgency=medium
* Add Martin Briza's hidpi_scale_at_192.diff to solve wrong HiDPI scalling
(Closes: #884956). Thanks Fedora guys!
2018-02-24 - Simon Quigley <tsimonq2@ubuntu.com>
qtbase-opensource-src (5.9.4+dfsg-0ubuntu3) bionic; urgency=medium
[ Simon Quigley ]
* Merge from Debian Sid, remaining changes:
- New upstream release (5.9.4), drop upstream patches.
- Build with bundled pcre2 library.
- Build depend on libssl-dev instead of libssl1.0-dev.
- Depend on libssl1.1 instead of libssl1.0.2.
- Add arm64 to the architectures that GLES is enabled on.
* Correctly update the symbols files for the ABI bump.
* Backport upstream patches to fix several libinput issues. Thanks to Ikey
Doherty from Solus for the tip.
[ Dmitry Shachnev ]
* Add upstream patch to fix rendering issues with Mesa 18.
* Add upstream patch to add NewMenu D-Bus signal for dbustray.
Thanks to Marco Trevisan.
2018-02-15 - Simon Quigley <tsimonq2@ubuntu.com>
qtbase-opensource-src (5.9.4+dfsg-0ubuntu2) bionic; urgency=medium
* Update the copyright file.
2018-02-09 - Dmitry Shachnev <mitya57@debian.org>
qtbase-opensource-src (5.9.2+dfsg-10) unstable; urgency=medium
[ Dmitry Shachnev ]
* Fix processing multiple headers with the same name in HTTP/2 (closes:
#886395).
* Update symbols files from hurd-i386 build logs.
2018-02-03 - Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>
qtbase-opensource-src (5.9.2+dfsg-9) unstable; urgency=medium
* Check the existance of /etc/xdg/QtProject before trying to remove it
(Closes: #889504).
2018-02-03 - Dmitry Shachnev <mitya57@debian.org>
qtbase-opensource-src (5.9.2+dfsg-8) unstable; urgency=medium
* qmake-cross-wrapper: Add special handling of -makefile and -project flags.
* Remove empty /etc/xdg/QtProject directory on upgrades (closes: #887806).
* Update symbols files from ia64 and the current amd64 build log.
2018-01-28 - Simon Quigley <tsimonq2@ubuntu.com>
qtbase-opensource-src (5.9.4+dfsg-0ubuntu1) bionic; urgency=medium
* New upstream release.
* Refresh patches, and delete reverse-applicable ones:
- qdnslookup_crash.diff
* Bump the virtual ABI package to 5.9.4 to make sure the proper
packages are rebuilt.

See Also

Package Description
libqt5network5_5.9.5+dfsg-0ubuntu1_amd64.deb Qt 5 network module
libqt5opengl5-dev_5.9.5+dfsg-0ubuntu1_amd64.deb Qt 5 OpenGL library development files
libqt5opengl5_5.9.5+dfsg-0ubuntu1_amd64.deb Qt 5 OpenGL module
libqt5printsupport5_5.9.5+dfsg-0ubuntu1_amd64.deb Qt 5 print support module
libqt5sql5-sqlite_5.9.5+dfsg-0ubuntu1_amd64.deb Qt 5 SQLite 3 database driver
libqt5sql5_5.9.5+dfsg-0ubuntu1_amd64.deb Qt 5 SQL module
libqt5svg5-dev_5.9.5-0ubuntu1_amd64.deb Qt 5 SVG module development files
libqt5svg5_5.9.5-0ubuntu1_amd64.deb Qt 5 SVG module
libqt5test5_5.9.5+dfsg-0ubuntu1_amd64.deb Qt 5 test module
libqt5widgets5_5.9.5+dfsg-0ubuntu1_amd64.deb Qt 5 widgets module
libqt5xml5_5.9.5+dfsg-0ubuntu1_amd64.deb Qt 5 XML module
libquadmath0_8-20180414-1ubuntu2_amd64.deb GCC Quad-Precision Math Library
libquorum-dev_2.4.3-0ubuntu1_amd64.deb cluster engine Quorum library development
libquorum5_2.4.3-0ubuntu1_amd64.deb cluster engine Quorum library
librados-dev_12.2.4-0ubuntu1_amd64.deb RADOS distributed object store client library (development files)
Advertisement
Advertisement